Package org.apache.lucene.codecs.lucene92

## Class Lucene92HnswVectorsWriter

- java.lang.Object
- - org.apache.lucene.codecs.KnnVectorsWriter
  - - org.apache.lucene.codecs.lucene92.Lucene92HnswVectorsWriter

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`

      public final class Lucene92HnswVectorsWriter
      extends KnnVectorsWriter

  Writes vector values and knn graphs to index segments.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `finish()` | Called once at the end before close
    `void` | `writeField​(FieldInfo fieldInfo, KnnVectorsReader knnVectorsReader)` | Write all values contained in the provided reader

    - ### Methods inherited from class org.apache.lucene.codecs.KnnVectorsWriter

      `merge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeField

          public void writeField​(FieldInfo fieldInfo,
                                 KnnVectorsReader knnVectorsReader)
                          throws IOException

      Description copied from class: `KnnVectorsWriter`
      Write all values contained in the provided reader
      Specified by:
        `writeField` in class `KnnVectorsWriter`
      Throws:
        `IOException`

    - #### finish

          public void finish()
                      throws IOException

      Description copied from class: `KnnVectorsWriter`
      Called once at the end before close
      Specified by:
        `finish` in class `KnnVectorsWriter`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`